package com.bytedance.android.livesdk.livesetting.watchlive.enterroom;

import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("request_audience_api")
public final class RequestAudienceApiExperiment {
    @Group(isDefault = true, value = "disable")
    public static final int DISABLE = 0;
    @Group("enable")
    public static final int ENABLE = 1;
    public static final RequestAudienceApiExperiment INSTANCE = new RequestAudienceApiExperiment();

    public final int getDISABLE() {
        return DISABLE;
    }

    public final int getENABLE() {
        return ENABLE;
    }

    static {
        Covode.recordClassIndex(18444);
    }

    public final int getValue() {
        return SettingsManager.INSTANCE.getIntValue(RequestAudienceApiExperiment.class);
    }
}
